package net.yyc.common.ding.entity;

import lombok.Data;

@Data
public class NotifyResponse extends CommonResponse{

	private String data;

	/**
	 * 失败的静态方法
	 *
	 * @param
	 * @return
	 * @author jimmy.zhang
	 * @date 2019-08-05
	 */
	public static NotifyResponse success() {
		NotifyResponse  result = new NotifyResponse();
		result.setCode("200");
		result.setSuccess(true);
		return result;
	}

	public static NotifyResponse failure(String msg) {
		NotifyResponse  result = new NotifyResponse();
		result.setCode("9999");
		result.setMsg(msg);
		result.setSuccess(false);
		return result;
	}

	public static NotifyResponse failure() {
		NotifyResponse  result = new NotifyResponse();
		result.setCode("9999");
		result.setSuccess(false);
		return result;
	}
}
